_N() has a conflict in Solaris

diff -r 4a8de37e49e3 src/internal.h
--- a/src/internal.h	Thu Apr 05 10:12:46 2007 -0700
+++ b/src/internal.h	Thu Apr 05 10:12:56 2007 -0700
@@ -23,7 +23,7 @@ extern "C" {
 #endif
 
 #define _(str) dgettext(GETTEXT_PACKAGE, (str))
-#define _N(str) dgettext(GETTEXT_PACKAGE, (str))
+#define _NN(str) dgettext(GETTEXT_PACKAGE, (str))
 #define gettext_noop(str) (str)
 
 #ifdef __GNUC__
diff -r 4a8de37e49e3 src/virsh.c
--- a/src/virsh.c	Thu Apr 05 10:12:46 2007 -0700
+++ b/src/virsh.c	Thu Apr 05 10:13:40 2007 -0700
@@ -289,7 +289,7 @@ cmdHelp(vshControl * ctl, vshCmd * cmd)
         vshPrint(ctl, _("Commands:\n\n"));
         for (def = commands; def->name; def++)
             vshPrint(ctl, "    %-15s %s\n", def->name,
-                     _N(vshCmddefGetInfo(def, "help")));
+                     _NN(vshCmddefGetInfo(def, "help")));
         return TRUE;
     }
     return vshCmddefHelp(ctl, cmdname, FALSE);
@@ -540,7 +540,7 @@ cmdList(vshControl * ctl, vshCmd * cmd A
         if (virDomainGetInfo(dom, &info) < 0)
             state = _("no state");
         else
-            state = _N(vshDomainStateToString(info.state));
+            state = _NN(vshDomainStateToString(info.state));
 
         vshPrint(ctl, "%3d %-20s %s\n",
                  virDomainGetID(dom),
@@ -562,7 +562,7 @@ cmdList(vshControl * ctl, vshCmd * cmd A
         if (virDomainGetInfo(dom, &info) < 0)
             state = _("no state");
         else
-            state = _N(vshDomainStateToString(info.state));
+            state = _NN(vshDomainStateToString(info.state));
 
         vshPrint(ctl, "%3s %-20s %s\n", "-", names[i], state);
 
@@ -606,7 +606,7 @@ cmdDomstate(vshControl * ctl, vshCmd * c
 
     if (virDomainGetInfo(dom, &info) == 0)
         vshPrint(ctl, "%s\n",
-                 _N(vshDomainStateToString(info.state)));
+                 _NN(vshDomainStateToString(info.state)));
     else
         ret = FALSE;
 
@@ -1175,7 +1175,7 @@ cmdDominfo(vshControl * ctl, vshCmd * cm
 
     if (virDomainGetInfo(dom, &info) == 0) {
         vshPrint(ctl, "%-15s %s\n", _("State:"),
-                 _N(vshDomainStateToString(info.state)));
+                 _NN(vshDomainStateToString(info.state)));
 
         vshPrint(ctl, "%-15s %d\n", _("CPU(s):"), info.nrVirtCpu);
 
@@ -1261,7 +1261,7 @@ cmdVcpuinfo(vshControl * ctl, vshCmd * c
             vshPrint(ctl, "%-15s %d\n", _("VCPU:"), n);
             vshPrint(ctl, "%-15s %d\n", _("CPU:"), cpuinfo[n].cpu);
             vshPrint(ctl, "%-15s %s\n", _("State:"),
-                     _N(vshDomainVcpuStateToString(cpuinfo[n].state)));
+                     _NN(vshDomainVcpuStateToString(cpuinfo[n].state)));
             if (cpuinfo[n].cpuTime != 0) {
                 double cpuUsed = cpuinfo[n].cpuTime;
 
@@ -2551,8 +2551,8 @@ vshCmddefHelp(vshControl * ctl, const ch
         return FALSE;
     } else {
         vshCmdOptDef *opt;
-        const char *desc = _N(vshCmddefGetInfo(def, "desc"));
-        const char *help = _N(vshCmddefGetInfo(def, "help"));
+        const char *desc = _NN(vshCmddefGetInfo(def, "desc"));
+        const char *help = _NN(vshCmddefGetInfo(def, "help"));
         const char *syntax = vshCmddefGetInfo(def, "syntax");
 
         fputs(_("  NAME\n"), stdout);
@@ -3350,7 +3350,7 @@ vshUsage(vshControl * ctl, const char *c
 
         for (cmd = commands; cmd->name; cmd++)
             fprintf(stdout,
-                    "    %-15s %s\n", cmd->name, _N(vshCmddefGetInfo(cmd,
+                    "    %-15s %s\n", cmd->name, _NN(vshCmddefGetInfo(cmd,
                                                                      "help")));
 
         fprintf(stdout,
--- a/src/virsh.c
+++ b/src/virsh.c
2924c2924
<                 fprintf(stdout, "    %-15s  %s\n", buf, _N(opt->help));
---
>                 fprintf(stdout, "    %-15s  %s\n", buf, _NN(opt->help));

